%define upstream_name    OpenGL
%define upstream_version 0.6704

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Interface to OpenGL drawing/imaging library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# Patch from Fedora
Patch1:     0001-Don-t-check-current-display-for-extensions.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: libxi-devel
BuildRequires: mesagl-devel
BuildRequires: mesaglu-devel
BuildRequires: mesa-devel 
BuildRequires: perl-devel
BuildRequires: pkgconfig(xmu)

%description
Naming convention:
    Virtually all of the OpenGL 1.0, and 1.1 functions are available, and
    most of 1.2. In general, the calling sequence is identical in Perl as
    in C.

    Most functions that have no pointer arguments are called identically in
    Perl as in C, and the same name is used.

    Functions that use Perl array arguments and have been changed in "the
    obvious way" -- to take a variable number of arguments and/or to return
    an array -- have the the same names as their C counterparts, but with a
    _p suffix.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1
# test.pl requires interaction, prefer using tests in t/
rm test.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor dist=NO_EXCLUSIONS
sed 's/PERL_DL_NONLAZY=1//' -i Makefile
make


%install
%makeinstall_std

%files
%doc CHANGES COPYRIGHT INSTALL META.yml README SUPPORTS TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.670.400-5pclos2017
- rebuild against updates

